Name: libnc-dap
Summary: The NetCDF interface to DAP-2 from OPeNDAP
Version: 3.6.2
Release: 5%{?dist}

Source0: ftp://ftp.unidata.ucar.edu/pub/opendap/source/libnc-dap-%{version}.tar.gz 
URL: http://www.opendap.org/

Group: Development/Libraries
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# dncdump and netcdf headers are coverd by a BSD-like license
License: LGPL
BuildRequires: libdap-devel >= 3.7.0

%description
The libnc-dap library is a call-for-call replacement for netcdf. It can 
read and write to and from netcdf files on the local machine and it can 
read from DAP2 compatible data servers running on local or remote 
machines. Data served using DAP2 need not be stored in netcdf files 
to be read using this replacement library.
Also included in this package is the ncdump utility, also bundled with the
original netcdf library, renamed dncdump, relinked with the library and 
thus able to read from DAP2 compatible servers.

%package devel
Summary: Static libraries and header files from libnc-dap
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libdap-devel >= 3.7.0
# for /usr/share/aclocal owning
Requires: automake

%description devel
This package contains all the files needed to develop applications that
will use libnc-dap.

%prep
%setup -q

%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf netcdf/.svn

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/dncdump
%{_libdir}/libnc-dap.so.*
%doc README README.translation NEWS COPYRIGHT COPYING netcdf

%files devel
%defattr(-,root,root,-)
%{_libdir}/libnc-dap.so
%{_libdir}/libnc-dap.a
%{_bindir}/ncdap-config
%{_includedir}/libnc-dap/
%{_datadir}/aclocal/*


%changelog
* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.6.2-5
- licence is LGPL since it cause the BSD code to be distributed as LGPL too

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.6.2-4
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus@free.fr> 3.6.2-3
- rebuild against libdap 3.7.2

* Wed Sep  6 2006 Patrice Dumas <pertusus@free.fr> 3.6.2-2
- update to 3.6.2

* Sat Jul 22 2006 Patrice Dumas <pertusus@free.fr> 3.6.0-4
- BuildRequires the 3.7.0 libdap library or above

* Sat Jul 22 2006 Patrice Dumas <pertusus@free.fr> 3.6.0-3
- quick and dirty patch to build against newer libdap

* Fri Jul 21 2006 Patrice Dumas <pertusus@free.fr> 3.6.0-2
- rebuild against newer libdap

* Tue Feb 28 2006 James Gallagher <jgallagher@opendap.org> - 3.6.0-1.1
- new release

* Mon Nov 21 2005 Patrice Dumas <pertusus@free.fr> - 3.5.2-5
- fix Source0

* Tue Aug 30 2005 Patrice Dumas <pertusus@free.fr> - 3.5.2-4
- Add missing Requires
- remove the INSTALL file and add the netcdf directory

* Fri Aug 19 2005 James Gallagher <jimg@zoey.opendap.org> 3.5.2-3
- Added README.translation and INSTALL; version to 3.5.2

* Sat Jul  2 2005 Patrice Dumas <pertusus@free.fr> - 3.5.1-2
- Support for shared libraries

* Mon Jun 20 2005 James Gallagher <jimg@otaku.opendap.org> 
- Initial build.
